#
# spec file for package python-django-dbtemplates
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-django-dbtemplates
Version:        1.3
Release:        lp151.2.2
Url:            http://django-dbtemplates.readthedocs.org/
Summary:        Template loader for templates stored in the database
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         django-dbtemplates-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-versiontools
Requires:       python-django
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
dbtemplates is a Django app that consists of two parts:
  1. It allows you to store templates in your database
  2. It provides `template loader`_ that enables Django to load the
     templates from the database

It also features optional support for versioned storage and django-admin
command, integrates with Django's caching system and the admin actions.

%prep
%setup -q -n django-dbtemplates-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Mon May  7 2012 alexandre@exatati.com.br
- Update to 1.3:
  * Dropped support for Django < 1.3 **backwards incompatible**
  * Dropped using versiontools in favor of home made solution.
  * Added optional support for TinyMCE editor instead of the CodeMirror
    editor (just enable DBTEMPLATES_USE_TINYMCE).
  * Fixed compatibility to Django 1.4's handling of the DATABASES
    setting. Should also respect database routers now.
  * Fixed an issue of the cache key generation in combination with
    memcache's inability to stomach spaces.
  * Moved test runner to use nose_ and a hosted CI project at Travis:
    http://travis-ci.org/jezdez/django-dbtemplates
* Thu Sep  8 2011 alexandre@exatati.com.br
- Update to 1.2.1:
  * Fixed a wrong use of the non-lazy localization tools.
  * Fixed bugs in the documentation.
  * Make use of django-appconf and versiontools.
* Mon Aug 15 2011 alexandre@exatati.com.br
- Update to 1.2:
  - Refactored the template loader to be even more cache effective.
  - Added check_template_syntax management command and admin action
    to make sure the saved templates are valid Django templates.
* Fri Jul  8 2011 alexandre@exatati.com.br
- Update to 1.1.1:
  - Fixed bug in cache loading (again).
  - Fixed bugs in the documentation.
* Wed Jul  6 2011 alexandre@exatati.com.br
- Update to 1.1:
  - BACKWARDS-INCOMPATIBLE Requires Django 1.2 or higher
  - Added South migrations
  - Removed uniqueness on the name field of the Template model.
    This is needed because there isn’t a unique_together for
    M2M fields in Django such as the sites field in the Template
    mode
  - Made the sites field optional to support a way to apply a
    template to all sites
  - Added --delete option to sync_templates managment command to
    delete the file or database entry after syncing (depending on
    used --overwrite mode)
  - Updated translations
  - Fixed issue with incorrectly splitting paths in sync_templates
  - Extended tests
  - Fixed issue with cache settings handling
* Fri May 27 2011 cfarrell@novell.com
- license update: BSD-3-Clause
  Version of the license should be in spec file. Use syntax from
  spdx.org/licenses
* Thu Apr 14 2011 alexandre@exatati.com.br
- Update to 1.0.1:
  - Sorry, no changelog.
* Tue Apr 12 2011 alexandre@exatati.com.br
- Update to 1.0:
  Warning:
    This is the first stable release of django-dbtemplates which comes with a
    series of backwards incompatible changes.
  * Removed own caching mechanism in favor of Django based caching mechanism.
    The ``DBTEMPLATES_CACHE_BACKEND`` is expected to be a valid cache backend
    URI, just like Django's own ``CACHE_BACKEND`` setting. In Django >= 1.3
    an ``'dbtemplates'`` entry in the ``CACHES`` setting is also considered
    valid.
  * Added tox configuration to test ``dbtemplates`` on Python 2.5, 2.6 and 2.7
    with Django 1.1.X, 1.2.X and 1.3.X.
  * Added Transifex configuration.
  * Use ``STATIC_URL`` setting instead of ``MEDIA_URL`` for the media prefix.
    Also moved files from media/* to static/* to follow convention introduced
    in Django 1.3.
  * Use ReadTheDocs for documentation hosting.
- Regenerate spec file with py2pack.
* Mon Nov  8 2010 alexandre@exatati.com.br
- Update to 0.8.0:
  - Added Finnish translation (by jholster)
  - Added --overwrite and --app-first options to sync_templates command (by Alex Kamedov).
  Aditional changes from 0.7.4:
  - Fixed tests.
* Tue Sep 21 2010 alexandre@exatati.com.br
- Update to 0.7.3:
  - Added DBTEMPLATES_AUTO_POPULATE_CONTENT setting to be able to
    disable to auto-populating of template content.
  - Fixed cosmetic issue in admin with collapsable fields.
* Wed Sep  8 2010 alexandre@exatati.com.br
- Update to 0.7.2.
* Wed Jul  7 2010 alexandre@exatati.com.br
- Update to 0.7.1.
* Thu Jun 24 2010 alexandre@exatati.com.br
- Update to 0.7.0;
- Spec file cleaned with spec-cleaner.
* Mon Oct 19 2009 alexandre@exatati.com.br
- Update to 0.6.1.
* Fri Oct  9 2009 alexandre@exatati.com.br
- Update to 0.6.0;
- Building as noarch for openSUSE >= 11.2.
* Thu Aug 13 2009 alexandre@exatati.com.br
- Initial package (0.5.8) for openSUSE.
